## GwySelectionAxis

GwySelectionAxis — Single coordinate selection

## Functions

GwySelection * | gwy_selection_axis_new ()
void | gwy_selection_axis_set_orientation ()
GwyOrientation | gwy_selection_axis_get_orientation ()

## Properties

GwyOrientation | orientation | Read / Write

## Types and Values

struct | GwySelectionAxis
struct | GwySelectionAxisClass

## Object Hierarchy

        GObject
        ╰── GwySelection
            ╰── GwySelectionAxis

## Implemented Interfaces

GwySelectionAxis implements GwySerializable.

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

GwySelectionAxis is used to represent single coodinate (`x` or `y` ) selections. Selection data consists of single coordinates. Whether it is `x` or `y` is determined by the GwySelectionAxis:orientation property.

## Functions

### gwy_selection_axis_new()

    GwySelection *
    gwy_selection_axis_new (void);

Creates a new single-coordinate selection along a cardinal direction.

#### Returns

A new selection object.

### gwy_selection_axis_set_orientation()

    void
    gwy_selection_axis_set_orientation (GwySelectionAxis *selection,
                                        GwyOrientation orientation);

Sets the orientation of a single-coordinate selection.

Horizontal orientation means points on the `x` -axis (or vertical lines). Vertical orientation means points on the `y` -axis (or horizontal lines).

#### Parameters

selection | A single-coordinate selection. |
orientation | New orientation. |

#### Returns

A new selection object.

### gwy_selection_axis_get_orientation()

    GwyOrientation
    gwy_selection_axis_get_orientation (GwySelectionAxis *selection);

Obtains the orientation of a single-coordinate selection.

Horizontal orientation means points on the `x` -axis (or vertical lines). Vertical orientation means points on the `y` -axis (or horizontal lines).

#### Parameters

selection | A single-coordinate selection. |

#### Returns

The orientation.

## Types and Values

### struct GwySelectionAxis

    struct GwySelectionAxis;

### struct GwySelectionAxisClass

    struct GwySelectionAxisClass {
        GwySelectionClass parent_class;
    };

## Property Details

### The `“orientation”` property

      “orientation”              GwyOrientation

The :orientation property represents the orientation along which the points are selected.

The orientation is `GWY_ORIENTATION_HORIZONTAL` for selections along the `x` -axis, i.e. points on the `x` axis or vertical lines. Conversely, `GWY_ORIENTATION_VERTICAL` for selections along the `y` -axis, i.e. points on the `yaxis` or horizontal lines.

Owner: GwySelectionAxis

Flags: Read / Write

Default value: GWY_ORIENTATION_HORIZONTAL